\ProvidesPackage{resif}
\mode<presentation>
\definecolor{resif1}{RGB}{227,102,40}
\definecolor{resif2}{RGB}{174,33,32}
\definecolor{resif3}{RGB}{254,211,129}
\definecolor{sectionColor}{RGB}{227,102,40}        % Couleur RESIF1 orange
\definecolor{subsectionColor}{RGB}{174,33,32}      % Couleur RESIF2 rouge
\definecolor{sectionTextColor}{RGB}{0,0,0}
\definecolor{subsectionTextColor}{RGB}{255,255,255}
\definecolor{leftFootlineColor}{RGB}{50,64,78}
\definecolor{middleFootlineColor}{RGB}{51,153,255}
\definecolor{rightFootlineColor}{RGB}{254,211,129}   %Couleur RESIF3 jaune
\definecolor{authorColor}{RGB}{255,255,255}
\definecolor{footlineTitleColor}{RGB}{0,0,0}
\definecolor{instituteColor}{RGB}{255,255,255}
\definecolor{dateColor}{RGB}{0,0,0}
\definecolor{pageColor}{RGB}{0,0,0}
\definecolor{titleColor}{RGB}{50,64,78}
\definecolor{titleTextColor}{RGB}{255,255,255}
\definecolor{bodyColor}{RGB}{255,255,255}
\definecolor{normalTextColor}{RGB}{50,64,78}
\definecolor{exampleTextColor}{RGB}{116,185,85}
\definecolor{alertTextColor}{RGB}{204,51,51}
\definecolor{chipColor}{RGB}{0,0,102}
\definecolor{chipTextColor}{RGB}{255,255,255}
\definecolor{normalBlockColor}{RGB}{70,183,233}
\definecolor{normalTitleBlockColor}{RGB}{50,64,78}
\definecolor{normalBlockTextColor}{RGB}{255,255,255}
\definecolor{normalBlockTitleTextColor}{RGB}{255,255,255}
\definecolor{exampleBlockColor}{RGB}{116,185,85}
\definecolor{exampleTitleBlockColor}{RGB}{0,153,0}
\definecolor{exampleBlockTextColor}{RGB}{255,255,255}
\definecolor{exampleBlockTitleTextColor}{RGB}{255,255,255}
\definecolor{alertBlockColor}{RGB}{255,255,255}
\definecolor{alertTitleBlockColor}{RGB}{204,51,51}
\definecolor{alertBlockTextColor}{RGB}{0,0,51}
\definecolor{alertBlockTitleTextColor}{RGB}{255,255,255}
\setbeamercolor{section in head/foot}{bg=resif1, fg=sectionTextColor}
\setbeamercolor{subsection in head/foot}{bg=resif2, fg=subsectionTextColor}
\setbeamercolor*{block title}{fg=normalBlockTitleTextColor,bg=normalTitleBlockColor}
\setbeamercolor*{block body}{fg=normalTextColor,bg=resif3}
\setbeamercolor*{block title alerted}{fg=alertBlockTitleTextColor,bg=alertTitleBlockColor}
\setbeamercolor*{block body alerted}{fg=alertBlockTextColor,bg=alertBlockColor}
\setbeamercolor*{block title example}{fg=exampleBlockTitleTextColor,bg=exampleTitleBlockColor}
\setbeamercolor*{block body example}{fg=exampleBlockTextColor,bg=exampleBlockColor}
\setbeamerfont{block title}{size={}}
\setbeamercolor{titlelike}{fg=titleTextColor,bg=titleColor}
\setbeamercolor*{normal text}{fg=normalTextColor,bg=bodyColor}
\setbeamercolor*{example text}{fg=exampleTextColor}
\setbeamercolor*{alerted text}{fg=alertTextColor}
\useinnertheme{default}
\setbeamercolor{item projected}{bg=chipColor,fg=chipTextColor}
\defbeamertemplate*{headline}{infolines theme}{
\leavevmode%
\hbox{%
\begin{beamercolorbox}[wd=.5\paperwidth,ht=2.25ex,dp=1ex,right]{section in head/foot}%
\usebeamerfont{section in head/foot}\insertsectionhead\hspace*{2ex}
\end{beamercolorbox}%
\begin{beamercolorbox}[wd=.5\paperwidth,ht=2.25ex,dp=1ex,left]{subsection in head/foot}%
\usebeamerfont{subsection in head/foot}\hspace*{2ex}\insertsubsectionhead
\end{beamercolorbox}}%
\vskip0pt%
}
\setbeamercolor{author in head/foot}{bg=leftFootlineColor, fg=authorColor}
\setbeamercolor{title in head/foot}{bg=resif3, fg=footlineTitleColor}
\setbeamercolor{institute in head/foot}{fg=instituteColor}
\setbeamercolor{date in head/foot}{bg=resif3, fg=dateColor}
\defbeamertemplate*{footline}{split theme}
{%
\leavevmode%
\hbox{\begin{beamercolorbox}[wd=.5\paperwidth,ht=2.5ex,dp=1.125ex,leftskip=.3cm plus1fill,rightskip=.3cm]{author in head/foot}%
\usebeamerfont{author in head/foot}\insertshortauthor
\usebeamerfont{institute in head/foot}\insertshortinstitute
\end{beamercolorbox}%
\begin{beamercolorbox}[wd=.5\paperwidth,ht=2.5ex,dp=1.125ex,leftskip=.3cm,rightskip=.3cm plus1fil]{title in head/foot}%
\usebeamerfont{title in head/foot}\insertshorttitle
\end{beamercolorbox}
}%
\vskip0pt%
}
\mode
<all>